Create Data Center V2 Using POST

Create Data Center V2 Using POST

Create a Data Center

Request
URI
POST
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/lcops/api/v2/datacenters
COPY
Request Body
DataCenterRequestResponseDTO of type(s) application/json
Optional
{
    "dataCenterName": "string",
    "dataCenterVmid": "string",
    "primaryLocation": "string"
}
string
dataCenterName
Optional

dataCenterName

string
dataCenterVmid
Optional

Data Center ID

string
primaryLocation
Optional

primaryLocation

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns DataCenterRequestResponseDTO of type(s) application/json
{
    "dataCenterName": "string",
    "dataCenterVmid": "string",
    "primaryLocation": "string"
}
string
dataCenterName
Optional

dataCenterName

string
dataCenterVmid
Optional

Data Center ID

string
primaryLocation
Optional

primaryLocation


201

Created

Operation doesn't return any data structure

400

Bad Request

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

409

Conflict

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


500

Internal Server Error

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status